Bug 91773 - (VM)Stopping and restarting kupdated makes it use 100% CPU time
(VM)Stopping and restarting kupdated makes it use 100% CPU time
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-27 18:53 EDT by Christian Bauer
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Bauer 2003-05-27 18:53:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
After stopping and continuing the kupdated process by sending it a SIGSTOP
followed by a SIGCONT, the process uses up 100% CPU time and continues to do so
until the machine is rebooted (or kupdated is stopped again).

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9

How reproducible:
Always

Steps to Reproduce:
1. kill -STOP `pidof kupdated`
2. kill -CONT `pidof kupdated`
3. top


Actual Results:  kupdated shows close to 100% CPU usage in the 'top' display.

Expected Results:  kupdated remains a background process, as after a fresh boot.

Additional info:

This bug causes problems with noflushd which uses SIGSTOP to suspend kupdated
when the hard disk is spun down.

Downgrading to kernel-2.4.20-13.8 from Red Hat 8.0 solves the issue.
A stock 2.4.20 kernel also doesn't show this behavior.
Comment 1 Mike Hockings 2004-01-31 13:27:40 EST
This problem is also present in the current (2.4.22-1.2149.nptl) 
kernel.  Simply issuing the command

killall -STOP kupdated

will cause kupdated to consume 88% or more (typically over 90%) of 
the cpu.  All attempts to bring the cpu usage down short of a reboot 
have not been successful.
Comment 2 Bugzilla owner 2004-09-30 11:41:00 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.